Skip to main content

Assign a dashboard to a folder

POSThttps://api.coralogix.com/mgmt/openapi/5/dashboards/dashboards/v1/{dashboard_id}/folder

Assigns the dashboard to a folder.

Requires the following permissions:

  • team-dashboards:Update

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    dashboard_id# stringrequired

    Possible values: >= 21 characters and <= 21 characters, Value must match regular expression ^[\s\S]*$

    The dashboard id.

Body

application/json

This is a request for assigning a folder to a dashboard

    folderId#string

    The ID of the folder to assign the dashboard to. Set to null to assign to the root folder.

    Possible values: >= 36 characters and <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    requestId#stringrequired

    Idempotency key for the assign folder request, used to prevent duplicate operations.

    Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$

Response

application/json

This is a response confirming that folder has been successfully assigned to a dashboard